# Uses of Interface
org.eclipse.emf.cdo.lm.security.ModuleFilter

Packages that use ModuleFilter
Package
Description
org.eclipse.emf.cdo.lm.security
The generated EMF API of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.util
The generated EMF utilities of the CDO Lifecycle Management Security model.

## Uses of ModuleFilter in org.eclipse.emf.cdo.lm.security

Methods in org.eclipse.emf.cdo.lm.security that return ModuleFilter
Modifier and Type
Method
Description
`ModuleFilter`
LMSecurityFactory.`createModuleFilter()`
Returns a new object of class 'Module Filter'.

## Uses of ModuleFilter in org.eclipse.emf.cdo.lm.security.impl

Classes in org.eclipse.emf.cdo.lm.security.impl that implement ModuleFilter
Modifier and Type
Class
Description
`class`
`ModuleFilterImpl`
An implementation of the model object 'Module Filter'.
Methods in org.eclipse.emf.cdo.lm.security.impl that return ModuleFilter
Modifier and Type
Method
Description
`ModuleFilter`
LMSecurityFactoryImpl.`createModuleFilter()`

## Uses of ModuleFilter in org.eclipse.emf.cdo.lm.security.util

Methods in org.eclipse.emf.cdo.lm.security.util with parameters of type ModuleFilter
Modifier and Type
Method
Description
`T`
LMSecuritySwitch.`caseModuleFilter(ModuleFilter object)`
Returns the result of interpreting the object as an instance of 'Module Filter'.